--[[
	DrivingLightsExtension_Register.lua
	
	Autor: Ifko[nator]
	Datum: 11.08.2015
	Edit:  amhh
]]

SpecializationUtil.registerSpecialization("drivingLightsExtension", "DrivingLightsExtension", g_currentModDirectory.."DrivingLightsExtension.lua")

DrivingLightsExtension_Register = {};

function DrivingLightsExtension_Register:loadMap(name)
	if self.firstRun == nil then
		self.firstRun = false;
		for k, v in pairs(VehicleTypeUtil.vehicleTypes) do
			if v ~= nil then
				local allowInsertion = true;
				for i = 1, table.maxn(v.specializations) do
					local vs = v.specializations[i];
					-- Standard lua's
					if vs ~= nil and (vs == SpecializationUtil.getSpecialization("drivable") or vs == SpecializationUtil.getSpecialization("attachable")) then
						local v_name_string = v.name 
						local point_location = string.find(v_name_string, ".", nil, true)
						if point_location ~= nil then
							local _name = string.sub(v_name_string, 1, point_location-1);
							-- Mod lua's (nicht im dataS Ordner!)
							if rawget(SpecializationUtil.specializations, string.format("%s.drivingLightsExtension", _name)) ~= nil then
								allowInsertion = false;
							end;
						end;
						if allowInsertion then
							table.insert(v.specializations, SpecializationUtil.getSpecialization("drivingLightsExtension"));
						end;
					end;
				end;
			end;	
		end;
	end;
end;

function DrivingLightsExtension_Register:deleteMap()end;
function DrivingLightsExtension_Register:keyEvent(unicode, sym, modifier, isDown)end;
function DrivingLightsExtension_Register:mouseEvent(posX, posY, isDown, isUp, button)end;
function DrivingLightsExtension_Register:update(dt)end;
function DrivingLightsExtension_Register:draw()end;

addModEventListener(DrivingLightsExtension_Register);